Bug 11071 - starting a terminal as root, make the sound offline if desktop running from lighdm
: starting a terminal as root, make the sound offline if desktop running from l...
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 3
: All Linux
: Normal Severity: normal
: ---
Assigned To: Jani Välimaa
:
: https://bugs.freedesktop.org/show_bug...
:
:
: 11219
:
  Show dependency treegraph
 
Reported: 2013-08-24 00:59 CEST by Manuel Hiebel
Modified: 2013-09-19 14:16 CEST (History)
4 users (show)

See Also:
Source RPM: lightdm
CVE:
Status comment:


Attachments

Description Manuel Hiebel 2013-08-24 00:59:56 CEST
Description of problem:

After a mga2 upgrade, I lauched xfce from lightdm, if I play music it works. Then I opened a console as root and the sound stop. If close this console, then go to tty and again in Xorg, the sound works again.

If I launch destop from gdm, there is not this issue.

In syslog I saw that systemd-logind opened/closed a new session. And player logs (vlc) it speak about pulseaudio in overflow 

Reproducible: 

Steps to Reproduce:
Comment 1 Jani Välimaa 2013-08-24 09:10:43 CEST
Seems mga3 is suffering issue [1] reported to upstream.

[1] https://bugs.freedesktop.org/show_bug.cgi?id=57887
Comment 2 Jani Välimaa 2013-08-24 09:15:40 CEST
Please test what happens if you add the following line to /etc/pam.d/lightdm:

session required pam_loginuid.so

Put it above 'session required pam_logind.so' line and reboot.
Comment 3 Jani Välimaa 2013-08-24 09:17:11 CEST
(In reply to Jani Välimaa from comment #2)
> Please test what happens if you add the following line to /etc/pam.d/lightdm:
> 
> session required pam_loginuid.so
> 
> Put it above 'session required pam_logind.so' line and reboot.

D'oh! Actually it should be added above 'session required pam_systemd.so' line.
Comment 4 Manuel Hiebel 2013-08-24 09:25:39 CEST
Yep, that make it to works ! thanks
Comment 5 Jani Välimaa 2013-08-24 09:26:56 CEST
OK, I'll push fixed lightdm to core/updates_testing later.
Comment 6 Jani Välimaa 2013-08-24 11:07:57 CEST
Pushed fixed lightdm [1] to core/updates_testing for QA testing. Could you Manuel add short test case for QA team or is comment 0 enough?

[1] lightdm-1.4.1-2.2.mga3
Comment 7 Manuel Hiebel 2013-08-24 12:15:59 CEST
strange I removed the line added previously and the sound still works

anyway I guess it will not broke something.

step: install lightdm from release, use it as dm (easily eond via drakedm), launch a desktop like lxdm or xfce, play sound, launch a terminal and log in terminal as root, the sounds stop.
install lightdm from testing, and it should work.
Comment 8 ra oeai 2013-09-03 11:16:16 CEST
i'm not sure if i use lightdm, i thought that it is slim for me (i added sess req pam.so into both files) but i got same error and it's not fixed.
also using 
enlightenment -> mixer -> got sound cards | su -> exit -> mixer -> no sound cards
Comment 9 Manuel Hiebel 2013-09-03 11:32:44 CEST
then open a new bug, and don't hijack this one
Comment 10 Julien Moragny 2013-09-08 17:36:56 CEST
(In reply to Manuel Hiebel from comment #7)
> strange I removed the line added previously and the sound still works
> 
> anyway I guess it will not broke something.
> 
> step: install lightdm from release, use it as dm (easily eond via drakedm),
> launch a desktop like lxdm or xfce, play sound, launch a terminal and log in
> terminal as root, the sounds stop.
> install lightdm from testing, and it should work.

Hi,

I've got this bug and the package in update_testing indeed fix it. Thanks.

BTW, I had the same bug with lxdm so probably need the same fix.
Comment 11 Jani Välimaa 2013-09-09 18:37:37 CEST
(In reply to Julien Moragny from comment #10)
> (In reply to Manuel Hiebel from comment #7)
> > strange I removed the line added previously and the sound still works
> > 
> > anyway I guess it will not broke something.
> > 
> > step: install lightdm from release, use it as dm (easily eond via drakedm),
> > launch a desktop like lxdm or xfce, play sound, launch a terminal and log in
> > terminal as root, the sounds stop.
> > install lightdm from testing, and it should work.
> 
> Hi,
> 
> I've got this bug and the package in update_testing indeed fix it. Thanks.
> 

Did you test with i586?

(If the answer is yes, could we consider update candidate being validated?)
Comment 12 Julien Moragny 2013-09-09 20:23:22 CEST
hmm, no, I'm on 64 bits, sorry.
Comment 13 David Walser 2013-09-12 16:36:58 CEST
A new update has been pushed for a security update in Bug 11219, so please test it there.
Comment 14 Manuel Hiebel 2013-09-19 14:16:12 CEST
update pushed

Note You need to log in before you can comment on or make changes to this bug.